function run
% initial conditions
h0 = 1;
v0 = 0;
y0 = [h0;v0];

% simulation horizon
TSPAN=[0 10];
JSPAN = [0 20];

% rule for jumps
% rule = 1 -> priority for jumps
% rule = 2 -> priority for flows
rule = 1;

%options = odeset('RelTol',1e-6,'MaxStep',.1);

% simulate
[t y j] = hybridsolver( @f,@g,@C,@D,y0,TSPAN,JSPAN,rule);

% plot solution
figure(1)
clf
subplot(2,1,1),plotflows(t,j,y)
grid on
ylabel('x')

subplot(2,1,2),plotjumps(t,j,y)
grid on
ylabel('x')

% plot hybrid arc
figure(2)
plotHybridArc(t,j,y)
xlabel('j')
ylabel('t')
zlabel('x')

figure(3)
plot(t,y(:,1));

