%initialization for the vehicle on a track with boundaries example

clear all                                                               
                                                                        
% initial conditions                                                    
x0 = [cos(pi/4);sin(pi/4);pi/4;2];                                      
u0 = [0];                                                               
% combine initial conditions                                            
z0 = [x0; u0];                                                          
                                                                        
% simulation horizon                                                    
T = 15;                                                                 
J = 20;                                                                 
                                                                        
% rule for jumps                                                        
% rule = 1 -> priority for jumps                                        
% rule = 2 -> priority for flows                                        
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;                                                               
                                                                        
% constants                                                             
    n = 4; %# of state components                                       
    m = 1; %# of input components      

%solver tolerances
options = odeset('RelTol',1e-8,'MaxStep',.001);
    
%simulate
sim ('HybridSimulator')