%initialization for the interconnection of bouncing ball and moving
%platform example

clear all                                                               
                                                                        
% initial conditions                                                    
x1_0 = [1; 0];                                                          
x2_0 = [.5; 0];                                                         
u1_0 = [x2_0(1);0;0];                                                   
u2_0 = [x1_0(1);0;0];                                                   
                                                                        
% combine initial conditions                                            
z1_0 = [x1_0; u1_0];                                                    
z2_0 = [x2_0; u2_0];                                                    
                                                                        
% simulation horizon                                                    
T = 18;                                                                 
J = 20;                                                                 
                                                                        
% rule for jumps                                                        
% rule = 1 -> priority for jumps                                        
% rule = 2 -> priority for flows                                        
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;                                                               
                                                                        
% constants                                                                                                                     
    n = 2; %# of state components                                       
    m = 3; %# of input components  
    
%solver tolerances
options = odeset('RelTol',1e-8,'MaxStep',.001);
                                                                        
% simulate
sim('Interconnection')                                                    