%initialization for the synchronization of fireflies example

clear all                                                               
                                                                        
% initial conditions                                                    
x1_0 = [.5];                                                            
x2_0 = [0];                                                             
u1_0 = [x2_0(1)];                                                       
u2_0 = [x1_0(1)];                                                       
                                                                        
% combine initial conditions                                            
z1_0 = [x1_0; u1_0];                                                    
z2_0 = [x2_0; u2_0];                                                    

%biological coefficient for jump in periodic cycle
E = 0.3;

% simulation horizon                                                    
T = 15;                                                                 
J = 15;                                                                 
                                                                        
% rule for jumps                                                        
% rule = 1 -> priority for jumps                                        
% rule = 2 -> priority for flows                                        
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;                                                               
                                                                        
% constants                                                             
n = 1; %# of state components                                       
m = 1; %# of input components    

%solver tolerances
options = odeset('RelTol',1e-8,'MaxStep',.001);

%simulate
sim ('Interconnection')