%initialization
%for interconnection analysis example


clear all                                                               

%define parameters
A1 = 10;
A2 = 30;
B1 = .5;
B2 = 1;
E1 = 2;
E2 = 3;


% initial conditions                                                    
x1_0 = 5;                                                               
x2_0 = 5;                                                               
u1_0 = [x2_0(1);0;0];                                                   
u2_0 = [x1_0(1);0;0];                                                   
                                                                        
% combine initial conditions                                            
z1_0 = [x1_0; u1_0];                                                    
z2_0 = [x2_0; u2_0];                                                    
                                                                        
% simulation horizon                                                    
T = 1;                                                                  
J = 10;                                                                 
                                                                        
% rule for jumps                                                        
% rule = 1 -> priority for jumps                                        
% rule = 2 -> priority for flows                                        
% rule = 3 -> no priority, random selection when simultaneous conditions
rule = 1;                                                               
                                                                        
% constants                                                                                                                         
n = 1; %# of state components                                       
m = 3; %# of input components                                       

%solver tolerances
options = odeset('RelTol',1e-8,'MaxStep',.001);

%simulate
sim ('Interconnection')